## repopush 0.1.0

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright (c) 2021  Peter Pentchev <roam@ringlet.net>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

PROG=		repopush
PROG_SH=	${PROG}.sh
MAN_SCD=	${PROG}.scd
MAN1=		${PROG}.1
MAN1GZ=		${MAN1}.gz

LOCALBASE?=	/usr/local
PREFIX?=	${LOCALBASE}

BINDIR?=	${PREFIX}/bin
MANDIR?=	${PREFIX}/man/man

DIRMODE?=	755

BINOWN?=	root
BINGRP?=	root
BINMODE?=	755

SHAREOWN?=	${BINOWN}
SHAREGRP?=	${BINGRP}
SHAREMODE?=	644

GZIP?=		gzip
GZIP_ARGS?=	-cn9
MKDIR_P?=	mkdir -p -m ${DIRMODE}
INSTALL?=	install

INSTALL_PROGRAM?=	${INSTALL} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
INSTALL_DATA?=		${INSTALL} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}

PYTHON?=	python3
PYTHON_ENV?=	PYTHONPATH='${CURDIR}/python' PYTHONUNBUFFERED=1

all:		${PROG} ${MAN1GZ}

${PROG}:	${PROG_SH}
		${INSTALL} -m 755 -- '${PROG_SH}' '${PROG}'

${MAN1}:	${MAN_SCD}
		scdoc < '${MAN_SCD}' > '${MAN1}' || { rm -f -- '${MAN1}'; false; }

${MAN1GZ}:	${MAN1}
		${GZIP} ${GZIP_ARGS} -- '${MAN1}' > '${MAN1GZ}' || { rm -f -- '${MAN1GZ}'; false; }

clean:
		rm -f -- '${PROG}' '${MAN1GZ}'

test:		all
		${MAKE} test-shellcheck
		${MAKE} test-python

test-shellcheck:
		[ -n "$$SKIP_SHELLCHECK" ] || shellcheck -- '${PROG_SH}'

test-python:
		[ -n "$$SKIP_TOX" ] || ${PYTHON} -m tox
		[ -n "$$SKIP_REPOTEST" ] || env ${PYTHON_ENV} ${PYTHON} -B -m repopush_test -p '${CURDIR}/${PROG}' -t '${CURDIR}/test_data'

install:	${PROG} ${MAN1}
		[ -d '${DESTDIR}${BINDIR}' ] || ${MKDIR_P} -- '${DESTDIR}${BINDIR}'
		${INSTALL_PROGRAM} -- '${PROG}' '${DESTDIR}${BINDIR}'
		[ -d '${DESTDIR}${MANDIR}1' ] || ${MKDIR_P} -- '${DESTDIR}${MANDIR}1'
		${INSTALL_DATA} -- '${MAN1}' '${DESTDIR}${MANDIR}1'

.PHONY:	all clean install test test-python

=== debian/changelog ===
repopush (0.1.0-4) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Switch to debhelper compat level 14:
    - use X-DH-Compat
    - pass --destdir to dh_auto_install
    - let debhelper handle some dependencies automatically
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Sun, 29 Dec 2024 23:20:02 +0200

repopush (0.1.0-3) unstable; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the years 2022 and 2023 to my debian/* copyright notice.
  * Explicitly specify dh-sequence-single-binary.
  * Add the rsync-unquoted patch to fix a FTBFS because of a new
    diagnostic message from shellcheck 0.9. Closes: #1027490

 -- Peter Pentchev <roam@debian.org>  Tue, 03 Jan 2023 02:52:54 +0200

repopush (0.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Peter Pentchev <roam@debian.org>  Mon, 16 Aug 2021 13:44:33 +0300

repopush (0.1.0-1) experimental; urgency=low

  * Initial release.  Closes: #986889

 -- Peter Pentchev <roam@debian.org>  Fri, 23 Apr 2021 10:37:20 +0300

=== debian/control ===
Source: repopush
Section: admin
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 confget <!nocheck>,
 debhelper (>> 13.15.2~),
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 python3 <!nocheck>,
 rsync <!nocheck>,
 shellcheck <!nocheck>,
Standards-Version: 4.7.0
X-DH-Compat: 14
Homepage: https://devel.ringlet.net/net/repopush/
Vcs-Git: https://gitlab.com/ppentchev/repopush.git -b debian/unstable
Vcs-Browser: https://gitlab.com/ppentchev/repopush/tree/debian/unstable
X-Style: black

Package: repopush
Architecture: all
Depends:
 rsync,
Multi-Arch: foreign
Description: safely rsync a package repository to another location
 The *repopush* tool is yet another program that helps with copying
 the various package files and repository metadata from one OS package
 repository to another, taking care to copy and remove files in such
 a way as to never have the remote repository present an inconsistent view.
 This is done by first copying the new package files, then copying the new
 metadata files, then removing the outdated metadata files, and only then
 removing the outdated package files.
 .
 The *repopush* tool supports APT and YUM repositories and figures out
 which one to handle by analyzing the contents of the local repository.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh '$@'

override_dh_auto_test:
	env SKIP_TOX=1 dh_auto_test

override_dh_auto_install:
	dh_auto_install --destdir '$(CURDIR)/debian/repopush' -- \
		PREFIX=/usr \
		MANDIR=/usr/share/man/man \
		INSTALL_PROGRAM='install -m 755' \
		INSTALL_DATA='install -m 644'

=== debian/tests/control ===
Test-Command: env PYTHONPATH="$(pwd)/python" python3 -B -m repopush_test -p /usr/bin/repopush -t "$(pwd)/test_data"
Depends:
 confget,
 python3,
 rsync,
 @,
Restrictions:
 allow-stderr,
Features:
 test-name=upstream_python,
